Subject: [PATCH 6/6] arm64: switch to relative exception tables

From: [email-masked] (H. Peter Anvin)
Date: Mon, 04 Jan 2016 11:21:46 -0800

On 01/04/2016 10:20 AM, Luck, Tony wrote:
>> May I humbly ask why the [Finnish] you don't use the equivalent of the
>> x86 _ASM_EXTABLE() macro?  In fact, why don't we make that one generic, too?
> 
> I'm messing with that right now (with help from Andy Lutomirski and Boris) to
> add different classes of exception table (so I can tag some instructions as being
> suitable for fixup from the machine check handler).  So it might not be generic
> for much longer.
> 
> http://marc.info/?l=linux-kernel&m=145187079504846&w=2
> 

I suspect that means we will also need to go back to arch-specific
sorting for x86.

	-hpa